Add check to update-makefiles.sh.

Now that we also have packages like android.hidl.base which reside in
system/libhidl/transport which are read in by hidl-gen (see
-randroid.hidl:system/libhidl/transport in the same file), we can
display a pretty warning message if they are missing.

We'll have to remember to update this after b/33276472.

Test: ran update-makefiles.sh
Change-Id: Ia3e3183dd5139cf3a8d1bf7bd25c201d1b098c79
diff --git a/update-makefiles.sh b/update-makefiles.sh
index 0f89dfc..f153a84 100755
--- a/update-makefiles.sh
+++ b/update-makefiles.sh
@@ -5,6 +5,11 @@
   exit 1;
 fi
 
+if [ ! -d system/libhidl/transport ] ; then
+  echo "Where is system/libhidl/transport?";
+  exit 1;
+fi
+
 packages=$(pushd hardware/interfaces > /dev/null; \
            find . -type f -name \*.hal -exec dirname {} \; | sort -u | \
            cut -c3- | \